Skip to content
Start here

List abuse reports against the account

client.abuseReports.list(AbuseReportListParams { account_id, created_after, created_before, 8 more } params, RequestOptionsoptions?): V4PagePagination<AbuseReportListResponse { reports } >
GET/accounts/{account_id}/abuse-reports

List abuse reports made against domains or other content associated with the account. To list reports that the account submitted, use the submitted abuse reports endpoint instead.

Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
Accepted Permissions (at least one required)
Trust and Safety WriteTrust and Safety Read
ParametersExpand Collapse
params: AbuseReportListParams { account_id, created_after, created_before, 8 more }
account_id: string

Path param: Cloudflare Account ID

maxLength32
created_after?: string

Query param: Returns reports created after the specified date

created_before?: string

Query param: Returns reports created before the specified date

domain?: string

Query param: Filter by domain name related to the abuse report

mitigation_status?: "pending" | "active" | "in_review" | 2 more

Query param: Filter reports that have any mitigations in the given status.

One of the following:
"pending"
"active"
"in_review"
"cancelled"
"removed"
page?: number

Query param: Where in pagination to start listing abuse reports

per_page?: number

Query param: How many abuse reports per page to list

sort?: string

Query param: A property to sort by, followed by the order (id, cdate, domain, type, status)

status?: "accepted" | "in_review"

Query param: Filter by the status of the report.

One of the following:
"accepted"
"in_review"
type?: "PHISH" | "GEN" | "THREAT" | 6 more

Query param: Filter by the type of the report.

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
ReturnsExpand Collapse
AbuseReportListResponse { reports }
reports: Array<Report>
id: string

Public facing ID of abuse report, aka abuse_rand.

cdate: string

Creation date of report. Time in RFC 3339 format (https://www.rfc-editor.org/rfc/rfc3339.html)

domain: string

Domain that relates to the report.

mitigation_summary: MitigationSummary { accepted_url_count, active_count, external_host_notified, 2 more }

A summary of the mitigations related to this report.

accepted_url_count: number

How many of the reported URLs were confirmed as abusive.

active_count: number

How many mitigations are active.

external_host_notified: boolean

Whether the report has been forwarded to an external hosting provider.

in_review_count: number

How many mitigations are under review.

pending_count: number

How many mitigations are pending their effective date.

status: "accepted" | "in_review"

An enum value that represents the status of an abuse record

One of the following:
"accepted"
"in_review"
type: "PHISH" | "GEN" | "THREAT" | 6 more

The abuse report type

One of the following:
"PHISH"
"GEN"
"THREAT"
"DMCA"
"EMER"
"TM"
"REG_WHO"
"NCSEI"
"NETWORK"
justification?: string

Justification for the report.

original_work?: string

Original work / Targeted brand in the alleged abuse.

submitter?: Submitter { company, email, name, telephone }

Information about the submitter of the report.

company?: string
email?: string
name?: string
telephone?: string
urls?: Array<string>

List abuse reports against the account

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const abuseReportListResponse of client.abuseReports.list({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
})) {
  console.log(abuseReportListResponse.reports);
}
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2009-11-10T23:00:00Z",
        "domain": "domain",
        "mitigation_summary": {
          "accepted_url_count": 0,
          "active_count": 0,
          "external_host_notified": true,
          "in_review_count": 0,
          "pending_count": 0
        },
        "status": "accepted",
        "type": "PHISH",
        "justification": "justification",
        "original_work": "original_work",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        },
        "urls": [
          "string"
        ]
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}
Returns Examples
{
  "success": true,
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "message"
    }
  ],
  "result": {
    "reports": [
      {
        "id": "id",
        "cdate": "2009-11-10T23:00:00Z",
        "domain": "domain",
        "mitigation_summary": {
          "accepted_url_count": 0,
          "active_count": 0,
          "external_host_notified": true,
          "in_review_count": 0,
          "pending_count": 0
        },
        "status": "accepted",
        "type": "PHISH",
        "justification": "justification",
        "original_work": "original_work",
        "submitter": {
          "company": "company",
          "email": "email",
          "name": "name",
          "telephone": "telephone"
        },
        "urls": [
          "string"
        ]
      }
    ]
  },
  "result_info": {
    "count": 0,
    "page": 0,
    "per_page": 0,
    "total_count": 0,
    "total_pages": 0
  }
}